package org.jeecg.modules.adweb.common.constant;

public interface AdwebConstant {
    /*网站类型（1模板，2站点）*/
    public static final Integer TEMPLATE = 1;
    public static final Integer SITE = 2;
    public static final Integer WPTEMPLATE = 3;

    /*网站状态 当前状态：0：已删除；1：正常; 2:未发布*/
    public static final Integer SITE_DEL = 0;

    public static final Integer SITE_PUBLISH = 1;

    public static final Integer SITE_UNPUBLISH = 2;

    /*菜单状态*/
    public static final Integer MENU_DEL = 1;

    /*模板配置状态*/
    public static final Integer TEMPLATE_SETTING_DEL = 1;

    /*模板上架状态*/
    public static final Integer TEMPLATE_PUTAWAY = 1;

    /*产品状态0删除1可用*/
    public static final Integer STATUS = 1;

    /*组件编码*/
    public static final String PRODUCT = "product";

    /*内容*/
    public static final String NEWS = "news";

    /*平台标识*/
    public static final String APPKEY = "adweb";

    /*内容分类*/
    public static final String NEWSCATALOG = "newsCatalog";

    public static final String PRODUCTCTALOG = "productCatalog";

    /*SEO关键字类型 1 - 指定词 2 - 长尾词 */
    public static final int KEYWORD_TYPE_APPOINT = 1;
    public static final int KEYWORD_TYPE_LONG_TAIL = 2;

}
