package org.jeecg.modules.adweb.seo.entity;

import lombok.Data;

/**
 * @author Zenas
 * 综合统计类
 */

@Data
public class ComprehensiveStatistics {
    /**
     * 指定词
     */
    private String appointKeywordNum;

    /**
     * 长尾词
     */
    private String longTailKeywordNum;

    /**
     * 外链数
     */
    private String outerLinkNum;

    /**
     * 文章数
     */
    private String articleNum;

    /**
     * 询盘数
     */
    private String enquiryNum;

    /**
     * 访问量(UV)
     */
    private String uvNum;

    /**
     * 是否展示访问量
     */
    private boolean showUvNum;
}
